Bug 242528 - games/anki: Missing dependency lame when installed from official package repositories
Summary: games/anki: Missing dependency lame when installed from official package repo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-09 20:06 UTC by PauAmma
Modified: 2019-12-16 19:47 UTC (History)
0 users

See Also:
kai: maintainer-feedback+
kai: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2019-12-09 20:06:44 UTC
I installed games/anki from pkg (probably sometime between when 12.1-RC2 came out and the release of 12.1 itself), and some time thereafter, I started getting a "pkg: anki has a missing dependency: lame" message. I think this means that at some point lame (as a package) disappeared from under anki. More information available upon request.
Comment 1 Kai Knoblich freebsd_committer 2019-12-10 10:54:55 UTC
(In reply to PauAmma from comment #0)

Thank you for the report. Unfortunately the audio/lame port isn't available as a binary package due licensing concerns (see also bug #228441) thus one has to compile/install that port manually.

Last year the audio/lame port was available as binary package for a short period of time but it was unintentional (see also bug #230034).

Maybe a short pkg-message for games/anki would be useful which gives some advice regarding the issue with audio/lame?
Comment 2 PauAmma freebsd_triage 2019-12-10 13:16:25 UTC
(In reply to Kai Knoblich from comment #1)
> Maybe a short pkg-message for games/anki would be useful which gives some
> advice regarding the issue with audio/lame?

You mean, something like:

[
 {
  type: install
  message: <<EOM
games/anki needs audio/lame, which cannot be provided as a package for licensing
reasons. To complete installation, install audio/lame from ports.
EOM
 }
 {
  type: remove
  message: <<EOM
games/anki needed audio/lame installed as a port, even when itself installed as
a package. If audio/lame is no longer needed by anything else, you can safely
remove it from ports.
EOM
 }
]

?
Comment 3 Kai Knoblich freebsd_committer 2019-12-10 19:26:26 UTC
(In reply to PauAmma from comment #2)

Indeed, that looks pretty good! I'm going to commit it later that evening.
Comment 4 commit-hook freebsd_committer 2019-12-11 19:26:36 UTC
A commit references this bug:

Author: kai
Date: Wed Dec 11 19:26:20 UTC 2019
New revision: 519830
URL: https://svnweb.freebsd.org/changeset/ports/519830

Log:
  games/anki: Add pkg-message with installation instructions

  * Improve the user experience by adding a pkg-message which gives some
    advice that audio/lame needs to be installed manually afterwards when
    installing from the official FreeBSD package repositories.

  * Bump PORTREVISION to include the pkg-message.

  PR:		242528
  Submitted by:	PauAmma <pauamma@gundo.com> (based on)
  MFH:		2019Q4

Changes:
  head/games/anki/Makefile
  head/games/anki/pkg-message
Comment 5 Kai Knoblich freebsd_committer 2019-12-11 19:34:23 UTC
Committed to the head branch, thank you for reporting the issue and the first draft of the pkg-message!

I edited the pkg-message a bit to make it clearer under what circumstances the audio/lame port needs to be manually installed and why FreeBSD's official package repositories don't provide a binary package for it.

I also omitted the "remove" section as it's mostly used to remind people which files/directories should be deleted when a package is uninstalled.

By setting audio/lame as automatic via "pkg set -A1 lame" (as described in the pkg-message) one can remove that port after uninstall of games/anki with "pkg autoremove".

Once I get the approval from the ports-secteam I'll MFH'ing it to the 2019Q4 branch.
Comment 6 PauAmma freebsd_triage 2019-12-11 20:11:48 UTC
(In reply to Kai Knoblich from comment #5)

Thanks for taking the time to explain why the changes from my draft.
Comment 7 commit-hook freebsd_committer 2019-12-14 11:43:05 UTC
A commit references this bug:

Author: kai
Date: Sat Dec 14 11:42:06 UTC 2019
New revision: 520114
URL: https://svnweb.freebsd.org/changeset/ports/520114

Log:
  MFH: r519830

  games/anki: Add pkg-message with installation instructions

  * Improve the user experience by adding a pkg-message which gives some
    advice that audio/lame needs to be installed manually afterwards when
    installing from the official FreeBSD package repositories.

  * Bump PORTREVISION to include the pkg-message.

  PR:		242528
  Submitted by:	PauAmma <pauamma@gundo.com> (based on)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/games/anki/Makefile
  branches/2019Q4/games/anki/pkg-message
Comment 8 Kai Knoblich freebsd_committer 2019-12-16 19:47:10 UTC
(In reply to PauAmma from comment #6)

Pleasure, you're welcome.  Closing this PR now as all changes were committed.